# class RDoc::Stats::Quiet

Stats printer that prints nothing

### Public Class Methods

new(num_files) click to toggle source

Creates a new Quiet that will print nothing

    # File lib/rdoc/stats/quiet.rb, line 9
    def initialize num_files
      @num_files = num_files
    end

### Public Instance Methods

begin_adding(*) click to toggle source

Prints a message at the beginning of parsing

    # File lib/rdoc/stats/quiet.rb, line 16
    def begin_adding(*) end

done_adding(*) click to toggle source

Prints when RDoc is done

    # File lib/rdoc/stats/quiet.rb, line 56
    def done_adding(*) end

print_alias(*) click to toggle source

Prints when an alias is added

    # File lib/rdoc/stats/quiet.rb, line 21
    def print_alias(*) end

print_attribute(*) click to toggle source

Prints when an attribute is added

    # File lib/rdoc/stats/quiet.rb, line 26
    def print_attribute(*) end

print_class(*) click to toggle source

Prints when a class is added

    # File lib/rdoc/stats/quiet.rb, line 31
    def print_class(*) end

print_constant(*) click to toggle source

Prints when a constant is added

    # File lib/rdoc/stats/quiet.rb, line 36
    def print_constant(*) end

print_file(*) click to toggle source

Prints when a file is added

    # File lib/rdoc/stats/quiet.rb, line 41
    def print_file(*) end

print_method(*) click to toggle source

Prints when a method is added

    # File lib/rdoc/stats/quiet.rb, line 46
    def print_method(*) end

print_module(*) click to toggle source

Prints when a module is added

    # File lib/rdoc/stats/quiet.rb, line 51
    def print_module(*) end